
# Fedora review
# http://bugzilla.redhat.com/190189

Summary: Python bindings for Qt4
Name: 	 PyQt4
Version: 4.1.1
Release: 1%{?dist}

License: GPL
Group: 	 Development/Languages
Url: 	 http://www.riverbankcomputing.co.uk/pyqt/
Source0: http://www.riverbankcomputing.com/Downloads/PyQt4/GPL/PyQt-x11-gpl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel 

BuildRequires: python-devel >= 2.3
%global python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%if "%{?python_ver}" > "2"
Requires: python-abi = %{python_ver}
%endif

BuildRequires: sip-devel >= 4.5
%global sip_ver %(sip -V 2>/dev/null | cut -d' ' -f1)
%if "%{?sip_ver}" > "3"
# To be paranoid, could change >= to = -- Rex
Requires: sip >= %{sip_ver}
%endif

%description
These are Python bindings for Qt4.

%package devel
Summary: Files needed to build other bindings based on Qt4
Group:	 Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: sip-devel
%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).


%prep
%setup -q -n PyQt-x11-gpl-%{version}


%build

QT4DIR=$(pkg-config --variable=prefix QtCore)
PATH=$QT4DIR/bin:$PATH ; export PATH

%if "%{_lib}" == "lib64" && "%{?fedora}" < "5" && "%{?rhel}" < "5"
## Attempt to hack around breakage that includes 
## -L/usr/X11R6/lib (instead of -L/usr/X11R6/%{_lib})
## I *think* it's actually a qmake buglet -- Rex 
#
# export LDFLAGS=-L/usr/X11R6/%{_lib}
%endif

echo yes | %{__python} configure.py -w

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README
%{_bindir}/*
%{python_sitelib}/PyQt4/

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%{_datadir}/sip/PyQt4/


%changelog
* Mon Dec 11 2006 Rex Dieter <rexdieter[AT]usres.sf.net> 4.1.1-1
- PyQt4-4.1.1

* Mon Nov 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1-1
- PyQt4-4.1

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-4
- don't own %%_datadir/sip (bug #206633)

* Mon Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-3
- BR: qt4-devel < 4.2

* Sat Jul 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-2
- fix reference(s) to qmake(4)

* Sun Jul 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0.1-1
- PyQt-4.0.1

* Mon Jun 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-1
- PyQt-4.0(final)
- BR: sip-devel >= 4.4.4 (see bug #199430)

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.6.beta1
- drop BR: qt4-MySQL qt4-ODBC qt4-PostgreSQL
- drop usage of (undefined) %%sip_min

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.5.beta1
- cleanup for Extras

* Fri Apr 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.4.beta1
- 4.0beta1

* Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.3.20060421 
- respin for sip-4.4.3
- use sip-abi, sip-abi-min

* Mon Apr 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.0-0.2.20060421
- 20060421 snapshot

* Wed Apr 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.0-0.1.20060417
- first try, using 20060417 snapshot

